POST
/product/202609/brands/suggest
Recommend brands based on product information.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
product_title
required
The product title used to recommend brands.
string
category_id
TikTok Shop category ID. Optional.
string
description
The product description. Optional.
string
images
Product images. Optional. The recommendation service currently uses the first image.
Array<object>
object
uri
The URI of the size chart image. Use the Upload Product Image API to upload the image first and obtain the corresponding image URI.
string
Example
{ "product_title": "Teas Green Tea", "category_id": "600006", "description": "Green tea.", "images": [ { "uri": "tos-maliva-i-o3syd03w52-us/c668cdf70b7f483c94dbe" } ]}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
brands
Recommended brands in recommendation order. Empty when no recommendations are available.
Array<object>
object
id
Brand ID.
string
is_authorized
Whether the brand is authorized for the shop. False if authorization status is absent.
boolean
name
Brand name.
string
Example
{ "code": 0, "data": { "brands": [ { "id": "7082427311584347905", "is_authorized": true, "name": "Teas" } ] }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}